Bug 496105 - rhn-virtualization-host Not Installed After PV Host Kickstart
rhn-virtualization-host Not Installed After PV Host Kickstart
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Partha Aji
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-04-16 12:52 EDT by Devan Goodwin
Modified: 2009-09-10 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-04-16 12:52:36 EDT
Description of problem:

rhn-virtualization-host not installed after kickstart.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090414.0-i386-embedded-oracle.iso

How reproducible:

Unknown.

Steps to Reproduce:
1. Create kickstart profile, RHEL 5 in this case, type Paravirtualized Host.
2. Kickstart a system with this profile.
3.
  
Actual results:

No rhn-virtualization-host installed after kickstart.


Additional info:

The box this was seen on has been on a wild ride, this may not turn out to be reproducible easily.
Comment 1 Partha Aji 2009-05-28 13:17:28 EDT
Actually we were previously not scheduling an install of rhn-virtualization-host even for a virt host. This has now been changed as of  http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=dbec5dac44262f03bb57ceb812a5e6e9b2a0d6dd

The change basically is a tweak in the activation key logic such that, if you give virt entitlement to an activation key the system that registers using that activation key will have rhn-tools and rh virt child channels included to be scheduled and rhn-virtualization-host package is scheduled to be installed.. 

This issue should thus be fixed in the next iso..
Comment 2 Partha Aji 2009-05-29 16:33:54 EDT
Moving to ON_QA
Comment 3 Steve Salevan 2009-06-01 16:46:38 EDT
VERIFIED in 5/29 build.
Comment 4 Sayli Karmarkar 2009-07-28 15:55:52 EDT
validated on latest satellite. Provisioning a system as xen host with virt entitlements in kickstart profile results in error-free install of rhn-virtualization-host package.
Comment 5 Brandon Perkins 2009-09-10 15:25:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.